Bug 1118570 - [RFE][neutron]: Convert ovs_lib's usage of ovs-vsctl to use the OVSDB protocol
Summary: [RFE][neutron]: Convert ovs_lib's usage of ovs-vsctl to use the OVSDB protocol
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ga
: 7.0 (Kilo)
Assignee: Terry Wilson
QA Contact: Ofer Blaut
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_kilo-rc1 upstream_...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:07 UTC by RHOS Integration
Modified: 2016-04-26 14:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 11:53:18 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-11 04:07:55 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/vsctl-to-ovsdb.

Description:

Neutron's ovs_lib makes heavy use of executing ovs-vsctl, even parsing "user-readable" output from it. Either directly sending OVSDB commands or using Open vSwitch's existing python API should be more flexible and should have much better performance.

Specification URL (additional information):

None

Comment 3 Nir Yechiel 2015-03-19 11:53:18 UTC
This RFE was automatically opened to track status of upstream development. At this point we see no reason to keep track of this in Red Hat bugzilla, thus closing it.


Note You need to log in before you can comment on or make changes to this bug.